Get the automations report
GET
/cms/analytics/automations
const url = 'https://api.example.com/cms/analytics/automations?unit=day';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.example.com/cms/analytics/automations?unit=day' \ --header 'API-Key: <API-Key>'Returns automation success/fail counts for a date range, optionally filtered by automation ID(s).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”date_from
string format: date
Defaults to 8 days ago.
date_to
string format: date
Defaults to today.
automation
Array<integer>
Automation ID(s) to filter by. Defaults to all.
unit
string
Responses
Section titled “Responses”Automation success/fail report
Invalid date range
Admin authorization required
Insufficient permissions